Bug 73673 - Reversed Arabic Letter in the plot window
Summary: Reversed Arabic Letter in the plot window
Status: RESOLVED INTENTIONAL
Alias: None
Product: kst
Classification: Unclassified
Component: i18n (show other bugs)
Version: 1.x
Platform: RedHat RPMs Linux
: NOR normal with 10 votes (vote)
Target Milestone: ---
Assignee: kst
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-01-28 13:18 UTC by Mohamed Eldesoky
Modified: 2008-08-15 22:05 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments
A screenshot with the arabic letters reversed (9.35 KB, image/png)
2004-01-28 13:21 UTC, Mohamed Eldesoky
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Mohamed Eldesoky 2004-01-28 13:18:51 UTC
Version:           0.94 (using KDE KDE 3.1.4)
Installed from:    RedHat RPMs
Compiler:          gcc 3.3.2 
OS:          Linux

Adding text to the plot screen, it draws Arabic letters from LTR.
Arabic letters should be RTL.
Comment 1 Mohamed Eldesoky 2004-01-28 13:21:29 UTC
Created attachment 4391 [details]
A screenshot with the arabic letters reversed

Here you can see what I mean by reversed letters order.
Comment 2 George Staikos 2004-01-29 02:56:20 UTC
This is a major bug, but I"d like to wait for 0.96 to fix this.
Comment 3 George Staikos 2004-07-24 18:39:07 UTC
As an update, this is fixable with KstViewLabel which is mostly done, but on hold at the moment.  Once we remove all the old labels this will be fixed.
Comment 4 Netterfield 2004-09-08 00:10:32 UTC
What are arabic rules (and other RtoL) rules for 'equation mode' as compared with 'text mode'?  I'm guessing that equations are not RtoL....
Comment 5 Mohamed Eldesoky 2004-09-08 09:20:09 UTC
In Arabic we write Arabic equations from RtoL
But letter are not connected in equations !!!
Comment 6 George Staikos 2005-10-26 19:25:34 UTC
The new renderer and parser is in place, so it should be easy to implement this now.  However, we need help.  If someone else wants to work on it, I can explain how the renderer works.  It's very simple.
Comment 7 Andrew Walker 2007-05-02 19:10:03 UTC
After some 18 months it would appear that noone wants to implement this, easy or not. Can we mark this as WONTFIX now?
Comment 8 George Staikos 2007-05-02 19:36:07 UTC
No, please leave it.
--
George Staikos
KDE Developer				http://www.kde.org/
Staikos Computing Services Inc.		http://www.staikos.net/
Comment 9 Andrew Walker 2008-08-15 22:05:40 UTC
Its has now been over four years, so it is probably safe to conclude this won't be implemented, particularly as the entire rationale for moving to the new label (KstViewLabel) architecture was to implement RTL support.